Class HealthAggregationPolicy (0.11.0)

HealthAggregationPolicy(mapping=None, *, ignore_unknown_fields=False, **kwargs)

Represents a health aggregation policy.

A health aggregation policy resource defines a policy to aggregate health.

For more information, see Health checks overview.

.. _oneof: https://proto-plus-python.readthedocs.io/en/stable/fields.html#oneofs-mutually-exclusive-fields

Attributes

Name Description
creation_timestamp str
Output only. [Output Only] Creation timestamp inRFC3339 text format. This field is a member of oneof_ _creation_timestamp.
description str
An optional description of this resource. Provide this property when you create the resource. This field is a member of oneof_ _description.
fingerprint str
Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a HealthAggregationPolicy. An up-to-date fingerprint must be provided in order to patch the HealthAggregationPolicy; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the HealthAggregationPolicy. This field is a member of oneof_ _fingerprint.
healthy_percent_threshold int
Can only be set if the policyType field isBACKEND_SERVICE_POLICY. Specifies the threshold (as a percentage) of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to 60. Must be in range [0, 100]. Not applicable if the policyType field isDNB_PUBLIC_IP_POLICY. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and minHealthyThreshold must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group. This field is a member of oneof_ _healthy_percent_threshold.
id int
Output only. [Output Only] The unique identifier for the resource. This identifier is defined by the server. This field is a member of oneof_ _id.
kind str
Output only. [Output Only] Type of the resource. Alwayscompute#healthAggregationPolicy for health aggregation policies. This field is a member of oneof_ _kind.
min_healthy_threshold int
Can only be set if the policyType field isBACKEND_SERVICE_POLICY. Specifies the minimum number of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to 1. Must be positive. Not applicable if the policyType field isDNB_PUBLIC_IP_POLICY. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and healthyPercentThreshold must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group. This field is a member of oneof_ _min_healthy_threshold.
name str
Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. This field is a member of oneof_ _name.
policy_type str
Specifies the type of the healthAggregationPolicy. The only allowed value for global resources is DNS_PUBLIC_IP_POLICY. The only allowed value for regional resources is BACKEND_SERVICE_POLICY. Must be specified when the healthAggregationPolicy is created, and cannot be mutated. Check the PolicyType enum for the list of possible values. This field is a member of oneof_ _policy_type.
region str
Output only. [Output Only] URL of the region where the health aggregation policy resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. This field is a member of oneof_ _region.
self_link str
Output only. [Output Only] Server-defined URL for the resource. This field is a member of oneof_ _self_link.
self_link_with_id str
Output only. [Output Only] Server-defined URL with id for the resource. This field is a member of oneof_ _self_link_with_id.

Classes

PolicyType

PolicyType(value)

Specifies the type of the healthAggregationPolicy. The only allowed value for global resources is DNS_PUBLIC_IP_POLICY. The only allowed value for regional resources is BACKEND_SERVICE_POLICY. Must be specified when the healthAggregationPolicy is created, and cannot be mutated.